<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:26 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl Class Hierarchy (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl Class Hierarchy (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/package-tree.html">Prev</a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.eclipse.emf.common.notify.impl.BasicNotifierImpl (implements org.eclipse.emf.common.notify.Notifier)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.BasicEObjectImpl (implements org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.EObjectImpl (implements org.eclipse.emf.ecore.EObject)
<ul>
<li type="circle">org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl"><span class="typeNameLink">ClockImpl</span></a> (implements org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">Clock</a>)</li>
<li type="circle">org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockTypeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl"><span class="typeNameLink">ClockTypeImpl</span></a> (implements org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/ClockType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">ClockType</a>)</li>
<li type="circle">org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.impl.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NfpConstraintImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.impl"><span class="typeNameLink">NfpConstraintImpl</span></a> (implements org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NfpConstraint.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NfpConstraint</a>)
<ul>
<li type="circle">org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockConstraintImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl"><span class="typeNameLink">ClockConstraintImpl</span></a> (implements org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/ClockConstraint.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">ClockConstraint</a>)</li>
<li type="circle">org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/TimedConstraintImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl"><span class="typeNameLink">TimedConstraintImpl</span></a> (implements org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedConstraint.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedConstraint</a>)</li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/TimedDomainImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl"><span class="typeNameLink">TimedDomainImpl</span></a> (implements org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedDomain.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedDomain</a>)</li>
<li type="circle">org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/TimedElementImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl"><span class="typeNameLink">TimedElementImpl</span></a> (implements org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedElement.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedElement</a>)
<ul>
<li type="circle">org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/TimedDurationObservationImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl"><span class="typeNameLink">TimedDurationObservationImpl</span></a> (implements org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedDurationObservation.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedDurationObservation</a>)</li>
<li type="circle">org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/TimedEventImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl"><span class="typeNameLink">TimedEventImpl</span></a> (implements org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedEvent</a>)</li>
<li type="circle">org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/TimedInstantObservationImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl"><span class="typeNameLink">TimedInstantObservationImpl</span></a> (implements org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedInstantObservation.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedInstantObservation</a>)</li>
<li type="circle">org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/TimedProcessingImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl"><span class="typeNameLink">TimedProcessingImpl</span></a> (implements org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedProcessing</a>)</li>
<li type="circle">org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/TimedValueSpecificationImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl"><span class="typeNameLink">TimedValueSpecificationImpl</span></a> (implements org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedValueSpecification.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedValueSpecification</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.impl.MinimalEObjectImpl (implements org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.EModelElementImpl (implements org.eclipse.emf.ecore.EModelElement)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.EFactoryImpl (implements org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory, org.eclipse.emf.ecore.EFactory)
<ul>
<li type="circle">org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/TimeFactoryImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl"><span class="typeNameLink">TimeFactoryImpl</span></a> (implements org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimeFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimeFactory</a>)</li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.impl.ENamedElementImpl (implements org.eclipse.emf.ecore.ENamedElement)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.EPackageImpl (implements org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, org.eclipse.emf.ecore.EPackage)
<ul>
<li type="circle">org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/TimePackageImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl"><span class="typeNameLink">TimePackageImpl</span></a> (implements org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimePackage</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/package-tree.html">Prev</a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
